Subject: bug#69662: 30.0.50; PGTK Window system supports drag-and-drop but doesn't define x-begin-drag

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Mar 2024 10:46:14 +0200

> Cc: [email-masked]
> Date: Sat, 09 Mar 2024 18:55:34 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Björn Bidar <[email-masked]> writes:
> 
> > I noticed when investigating why drag and drop wasn't working
> > in my setup that pgtk doesn't define `x-begin-drag' but defines
> > functions for drag and drop support.
> > That x-begin-drag isn't present breaks `dnd-begin-text-drag` and friend.
> >
> > 1. Build Emacs with at least --with-pgtk
> > 2. Call `dnd-begin-text-drag'
> > 3. Error
> 
> As I've explained elsewhere, GTK's limitations and corner-cutting poses
> special difficulties for drag-and-drop implementations, for which reason
> I decided against implementing that for the PGTK build myself.  Patches
> will, as ever, be appreciated.

What does this mean in practice, though?  Does it mean drag-and-drop
doesn't work at all in the PGTK builds?  Or only some aspects of that
don't work?  We should at least document the limitations.

Thanks.